public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/gource/
Date: Wed, 26 Jun 2024 09:27:33 +0000 (UTC)	[thread overview]
Message-ID: <1719394007.ea7be85cfe6844c5e4370ecfeebf2f84484acdd8.flow@gentoo> (raw)

commit:     ea7be85cfe6844c5e4370ecfeebf2f84484acdd8
Author:     Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Tue Jun 25 18:16:20 2024 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Wed Jun 26 09:26:47 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ea7be85c

dev-util/gource: add 0.55

Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Closes: https://github.com/gentoo/gentoo/pull/37298
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 dev-util/gource/Manifest           |  1 +
 dev-util/gource/gource-0.55.ebuild | 58 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/dev-util/gource/Manifest b/dev-util/gource/Manifest
index c2a04b7aa183..e2c020e3213e 100644
--- a/dev-util/gource/Manifest
+++ b/dev-util/gource/Manifest
@@ -1,2 +1,3 @@
 DIST gource-0.53.tar.gz 900932 BLAKE2B 7f2822b11b5eaeb5345ade1326702109dff120d3ef8c523a2425a84b54d357a29cfe23a9c4a253b287d570e74943cb67bb80753c6c698f9f60739735cb41769b SHA512 e4190eb581d9998808d1bb4f18ba5a3ae22bacf643b9a150c7d1607e97fca2eab720592aefdcc6a47f92adb4a8df17db48bb941a67ee3d23a10f300754f473be
 DIST gource-0.54.tar.gz 900831 BLAKE2B be0fafa35457532b3cdc5d007ae5935189b60efc415ecd0979b25e4437d39570db90c4ac1883cc6baf7e0d25eeb9c98c2f8b6ec855ef63a874d223af09caa5d9 SHA512 a9fd2ff7c51931a543d4ab6dc85dd4b2c187ecca1be630006bb60ac2507180ccf40561e37f50493e052c839d9f5f896ae8f113fb65844c2fa9bde33fcd6b53e8
+DIST gource-0.55.tar.gz 900907 BLAKE2B c2836045e3c556d94ea433d52b6386de08290ad1f6287ab7dbfa6b632cbcd2f557d0365542de108925eeec237086883491ac90ee3439740969c16fda9894b197 SHA512 6df687441fc04e9bdfcf3620ed6b8a8fc1ac5774d21f51afdb0d518339ea1518914db77c90fb457ada899653c491a3b45c340665c3efa28bddeac65eeb334488

diff --git a/dev-util/gource/gource-0.55.ebuild b/dev-util/gource/gource-0.55.ebuild
new file mode 100644
index 000000000000..2f6e8a06c68a
--- /dev/null
+++ b/dev-util/gource/gource-0.55.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools flag-o-matic
+
+DESCRIPTION="A software version control visualization tool"
+HOMEPAGE="https://gource.io/"
+SRC_URI="https://github.com/acaudwell/Gource/releases/download/${P}/${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+COMMON_DEPEND="
+	dev-libs/boost:=
+	>=media-libs/glew-1.5:0=
+	>=media-libs/libpng-1.2:0=
+	media-libs/libsdl2[video,opengl,X]
+	media-libs/sdl2-image[jpeg,png]
+	dev-libs/libpcre2:=
+	dev-libs/tinyxml
+	media-libs/libglvnd[X]
+	media-libs/freetype:2
+	virtual/glu:0
+"
+RDEPEND="${COMMON_DEPEND}
+	media-fonts/freefont
+"
+DEPEND="${COMMON_DEPEND}
+	>=media-libs/glm-0.9.3
+"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+	default
+
+	sed -e "/data\/gource.1/s/^/#/" -i Makefile.am || die
+	eautoreconf
+}
+
+src_configure() {
+	# fix bug #386525
+	# this enables gource to be compiled against dev-libs/tinyxml[stl]
+	if has_version dev-libs/tinyxml[stl]; then
+		append-cppflags -DTIXML_USE_STL;
+	fi
+
+	econf \
+		--enable-ttf-font-dir=/usr/share/fonts/freefont/ \
+		--with-tinyxml
+}
+
+src_install() {
+	default
+	doman data/gource.1
+}


             reply	other threads:[~2024-06-26  9:27 UTC|newest]

Thread overview: 30+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-06-26  9:27 Florian Schmaus [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-14 11:12 [gentoo-commits] repo/gentoo:master commit in: dev-util/gource/ Arsen Arsenović
2022-11-11  6:23 Michael Palimaka
2022-10-01  6:16 Agostino Sarubbo
2022-10-01  6:09 Agostino Sarubbo
2022-06-24  8:49 Michael Palimaka
2022-04-24 12:50 Michael Palimaka
2020-02-10 10:56 Michael Palimaka
2020-01-21 10:42 Agostino Sarubbo
2020-01-20 13:04 Agostino Sarubbo
2019-11-25 10:33 Michael Palimaka
2018-09-24 12:03 Michael Palimaka
2018-09-03 13:21 Michael Palimaka
2018-09-03 13:21 Michael Palimaka
2018-06-29 23:30 Michael Palimaka
2018-05-26 10:46 Michael Palimaka
2018-05-26 10:46 Michael Palimaka
2018-02-16 11:03 Michael Palimaka
2017-10-12 11:45 Michael Palimaka
2017-10-12 11:45 Michael Palimaka
2017-09-09 13:20 Michael Palimaka
2017-09-07 13:49 Michael Palimaka
2016-09-15 12:00 Michael Palimaka
2016-09-15 12:00 Michael Palimaka
2016-08-07 16:07 Michael Palimaka
2016-08-07 16:07 Michael Palimaka
2016-08-07 16:07 Michael Palimaka
2016-08-07 15:24 Michael Palimaka
2016-04-26 10:38 Sam Jorna
2015-09-01 19:31 Tobias Klausmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1719394007.ea7be85cfe6844c5e4370ecfeebf2f84484acdd8.flow@gentoo \
    --to=flow@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox